if {[app get appName] ne "CM"} {
    return
}

namespace eval ::shortNewsDefs {
    variable imagesFolder
    variable newsFolder

    proc init {} {
        variable imagesFolder
        array set imagesFolder {
            de /internet/playland/de/ressourcen/images
            en /internet/playland/en/resources/images
        }

        variable newsFolder
        array set newsFolder {
            de /internet/playland/de/presse/kurzmitteilungen
            en /internet/playland/en/press/shortnews
        }
    }

    proc folder {folderVar lang} {
        upvar $folderVar folder
        if {![info exists folder($lang)]} {
            set lang "de"
        }
        return $folder($lang)
    }


    proc imagesFolder {lang} {
        variable imagesFolder
        return [folder imagesFolder $lang]
    }

    proc newsFolder {lang} {
        variable newsFolder
        return [folder newsFolder $lang]
    }

    init
}
